//
//  View.swift
//  Label
//
//  Created by Mark Meretzky on 11/10/14.
//  Copyright (c) 2014 Mark Meretzky. All rights reserved.
//

import UIKit

class View: UIView {

	required init(coder aDecoder: NSCoder) {
		super.init(coder: aDecoder)
		backgroundColor = UIColor.whiteColor();

		let s: String = "Hello, World!";
		let font: UIFont = UIFont.systemFontOfSize(32);
		let attributes: [NSObject: AnyObject] = [NSFontAttributeName: font];
		let size: CGSize = s.sizeWithAttributes(attributes);

		//Put upper left corner of label in upper left corner of application frame.
		//Make label just big enough to hold the string.
		let screen: UIScreen = UIScreen.mainScreen();
		let applicationFrame: CGRect = screen.applicationFrame;

		let f: CGRect = CGRectMake(
			applicationFrame.origin.x,
			applicationFrame.origin.y,
			size.width,
			size.height);

		let label: UILabel = UILabel(frame: f);
		label.backgroundColor = UIColor.yellowColor();
		label.font = font;
		label.text = s;
		addSubview(label);
	}

	/*
	// Only override drawRect: if you perform custom drawing.
	// An empty implementation adversely affects performance during animation.
	override func drawRect(rect: CGRect) {
		// Drawing code
	}
	*/

}
